<<

# Bugzilla::Whine::Query

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Constructors
  - Accessors

# NAME

Bugzilla::Whine::Query - A query object used by Bugzilla::Whine.

# SYNOPSIS

     use Bugzilla::Whine::Query;

     my $query = new Bugzilla::Whine::Query($id);

     my $event_id          = $query->eventid;
     my $id                = $query->id;
     my $query_name        = $query->name;
     my $sortkey           = $query->sortkey;
     my $one_email_per_bug = $query->one_email_per_bug;
     my $title             = $query->title;

# DESCRIPTION

This module exists to represent a query for a Bugzilla::Whine::Event. Each event, which are groups of schedules and queries based on how the user configured the event, may have zero or more queries associated with it. Additionally, the queries are selected from the user's saved searches, or Bugzilla::Search::Saved object with a matching `name` attribute for the user.

This is an implementation of Bugzilla::Object, and so has all the same methods available as Bugzilla::Object, in addition to what is documented below.

# METHODS

## Constructors

`new`

  Does not accept a bare `name` argument. Instead, accepts only an id.

  See also: "new" in Bugzilla::Object.

## Accessors

These return data about the object, without modifying the object.

`event_id`

  The Bugzilla::Whine::Event object id for this object.

`name`

  The Bugzilla::Search::Saved query object name for this object.

`sortkey`

  The relational sorting key as compared with other Bugzilla::Whine::Query objects.

`one_email_per_bug`

  Returns a numeric 1(`true`) or 0(`false`) to represent whether this Bugzilla::Whine::Query object is supposed to be mailed as a list of bugs or one email per bug.

`title`

  The title of this object as it appears in the user forms and emails.

<<